#include "../lib.h"

extern "C" {
void __pragma_loopbound(unsigned, unsigned) {}

void md5_init(void);
void md5_main(void);
int md5_return(void);

EXPORT("wasm_module") int wasm_module(void) {
  md5_init();

  fail_start_trace();
  md5_main();
  fail_stop_trace();

  int ret = md5_return();
  if (ret == 0) {
    PRINT("result correct.\n");
    fail_marker_positive();
  } else {
    PRINT("result incorrect.\n");
    fail_marker_negative();
  }
  return ret;
}
}
